
QGIS Application - Bug report #16757

reprojecting rasters crossing the dateline

2017-06-27 03:45 AM - Brent Wood

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:2.18.10 Regression?: No

Operating System: Ubuntu 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24656

Description

I have a raster covering the New Zealand coastal region in EPSG:2193 which in degrees has a max long of 180.7 degrees (E)

QGIS cannot reporoject this to EPSG:4326 because of a "lat or lon outside limit"

I'm assuming the reason it will not work is due to a longitude>180, but we often use a 0-360 longitude space for data crossing 180. This is

supported be EPSG who say that EPSG:4326 does indeed support longitudes in the -180 to 360 space.

QGIS should not be preventing this operation as producing an error.

History

#1 - 2017-06-27 10:38 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi, can you share the data?

#2 - 2017-06-30 01:40 AM - Brent Wood

- File 180_NZTM.gz added

The attached file cannot be reprojected to EPSG:4326 as it crosses the 180 meridian. EPSG themselves state that longitudes > 180 (ie: in a 0-360 space)

are valid under EPSG:4326, so this is not a valid restriction.

#3 - 2017-06-30 01:41 AM - Brent Wood

This file was created by clipping the original to get the file size to under 5Mb for uploading here

#4 - 2017-07-03 12:51 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.18.2 to 2.18.10

- Subject changed from reprojecting rasters to reprojecting rasters crossing the dateline

#5 - 2017-07-25 02:37 AM - Brent Wood

Anything I need to to to have this progressed? I have some funding potentially available if that helps.
#6 - 2017-07-25 09:27 AM - Giovanni Manghi

Brent Wood wrote:

Anything I need to to to have this progressed? I have some funding potentially available if that helps.

better to raise this issue and availability to support its fix in the developers mailing list.

#7 - 2019-03-09 03:10 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

Files

180_NZTM.gz 3.39 MB 2017-06-29 Brent Wood
